import 'package:get/get.dart';

import '../../../Data/Repository/Summary/ordersrepository.dart';
import '../../../Model/Response/Summary/Ordersummaryresponse.dart';

class OrderSummaryController extends GetxController{

  RxBool shimmer = true.obs;

  OrderSummaryDetails getOrderSummary = OrderSummaryDetails();


  OrderSummaryRepository orderSummaryRepository = OrderSummaryRepository();


  getOrdersSummary()async{
    OrderSummary? result = await orderSummaryRepository.getOrderSummary();
    getOrderSummary = result!.details!;
    shimmer.value = false;
    update();
  }

  @override
  void onInit() {
    // TODO: implement onInit
    super.onInit();
  }
}